Skip to main content
GET
Get the report of a discount code
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

discount_code_id
string
required

Id of the discount code. You can get it by using the List discount codes API.

Example:

"6f1c2a7e-2b1d-4a51-9a0e-1f8f3b0c9d11"

Query Parameters

start_date
string

First day to include, as a date such as 2026-10-01.

Example:

"2026-10-01"

end_date
string

Last day to include, as a date such as 2026-10-31.

Example:

"2026-10-31"

Response

OK - Request succeeded

report
object